package net.java.dev.annsor;

import java.util.Map;
import java.util.HashMap;

/**
 * @author Richard L. Burton III
 * @version 1.0
 */
public class DefaultAnnsorContext implements AnnsorContext {

    private Map<String, Object> state = new HashMap<String, Object>();

    public Object getValue(String name) {
        return state.get(name);
    }

    public void setValue(String name, Object value) {
        state.put(name, value);
    }

    public boolean contains(String name) {
        return state.containsKey(name);
    }

    public int size() {
        return state.size();
    }
}
