package net.java.dev.annsor.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * This Annotation is used to assoicate a method as being a convertor methods. This
 * allows developers to transform a POJO into an Processor without conforming
 * to any predefine interface.
 * @author Richard L. Burton III
 * @version 1.0
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface Convertor {

}
