package net.java.dev.annsor;

import java.lang.reflect.Proxy;

/**
 * Avoids caching of the java.lang.reflect.Proxy classes.
 * @author Richard L. Burton III
 */
public final class ProxyCacheableFilter implements CacheableFilter{

    public boolean isCacheable(Class clazz) {
        return !Proxy.isProxyClass(clazz);
    }

}
