package net.java.dev.annsor;

/**
 * @author Richard L. Burton III
 * @version 1.0
 */
public enum Scope {

    ANY,

    /**
     * A annotation at the field level.
     */
    FIELD,

    /**
     * A annotation at the method level.
     */
    METHOD,

    /**
     * A annotation at the class level.
     */
    CLASS,

    /**
     * A annotation at the constructor level.
     */
    CONSTRUCTOR,

    /**
     * A annotation at the parameter level.
     */
    PARAMETER

}
